- Qt 6.7
- Qt 3D
- C++ Classes
- Qt3DLogic
- QFrameAction
- Qt 6.7.3 Reference Documentation

# QFrameAction Class

class Qt3DLogic::QFrameAction

Provides a way to have a synchronous function executed each frame. More...

Header: | #include <QFrameAction>
CMake: | find_package(Qt6 REQUIRED COMPONENTS 3dlogic) target_link_libraries(mytarget PRIVATE Qt6::3dlogic)
qmake: | QT += 3dlogic
Instantiated By: | FrameAction
Inherits: | Qt3DCore::QComponent

- List of all members, including inherited members

## Public Functions

| QFrameAction(Qt3DCore::QNode *parent = nullptr)

## Signals

void | triggered(float dt)

## Detailed Description

The QFrameAction provides a way to perform tasks each frame in a synchronized way with the Qt3D backend. This is useful to implement some aspects of application logic and to prototype functionality that can later be folded into an additional Qt3D aspect.

For example, the QFrameAction can be used to animate a property in sync with the Qt3D engine where a Qt Quick animation element is not perfectly synchronized and may lead to stutters in some cases.

To execute your own code each frame connect to the QFrameAction::triggered signal.

## Member Function Documentation

### `[explicit]` QFrameAction::QFrameAction(Qt3DCore::QNode *parent = nullptr)

Constructs a new QFrameAction instance with parent parent.

### `[signal]` void QFrameAction::triggered(float dt)

This signal is emitted each frame with dt being the time (in seconds) since the last triggering.